#ifndef _PRINTF_P_H_
#define _PRINTF_P_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "config.h"

#if (USE_NEWLIB == 1)   //use newlib
#include <stdio.h>

#elif (CONSOLE_API_PRINTF == 1) //OWN_PRINTF
#include "consol.h"
//#define printf(format, args...)   simplePrintf(format, ## args)
#define printf(...)   simplePrintf(__VA_ARGS__)

#elif (CONSOLE_API_PRINTF == 0)  //SIMPLE
#include "consol.h"
#define printf(format, args...)   consolSendString(format)
#endif

#ifdef __cplusplus
}
#endif 
#endif
